ListProducts

更新时间:
复制 MD 格式

Lists all Alibaba Cloud products. You can filter the results by keyword.

Operation description

This API retrieves public information and does not require authorization.

Try it now

Try this API in OpenAPI Explorer, no manual signing needed. Successful calls auto-generate SDK code matching your parameters. Download it with built-in credential security for local usage.

Test

RAM authorization

No authorization for this operation. If you encounter issues with this operation, contact technical support.

Request syntax

GET /listProducts HTTP/1.1

Request parameters

Parameter

Type

Required

Description

Example

filter

string

No

A keyword to filter products. If omitted, all Alibaba Cloud products are returned.

ECS

Response elements

Element

Type

Description

Example

object

products

array<object>

The product list.

object

Details of a cloud product.

code

string

The unique product code.

Ecs

name

string

The name of the cloud product.

云服务器 ECS

description

string

The description of the cloud product.

场景化封装数据智能分析管理。为云上的文档、图片数据,提供一站式数据处理、分析、检索等管控体验。针对不同的业务场景,封装整合完整的处理能力,让数据快速流转。

shortName

string

The short name of the cloud product.

ECS

group

string

The product group.

弹性计算

style

string

The API style.

RPC

versions

array

The available API versions.

string

An API version.

2022-02-20

recommendVersions

array

string

2014-05-26

defaultVersion

string

The default API version.

2014-05-26

categoryName

string

The name of the level-1 product category.

云服务器

category2Name

string

The name of the level-2 product category.

计算

requestId

string

The request ID.

9BFC4AC1-6BE4-5405-BDEC-CA288D404812

Examples

Success response

JSON format

{
  "products": [
    {
      "code": "Ecs",
      "name": "云服务器 ECS",
      "description": "场景化封装数据智能分析管理。为云上的文档、图片数据,提供一站式数据处理、分析、检索等管控体验。针对不同的业务场景,封装整合完整的处理能力,让数据快速流转。",
      "shortName": "ECS",
      "group": "弹性计算",
      "style": "RPC",
      "versions": [
        "2022-02-20"
      ],
      "recommendVersions": [
        "2014-05-26"
      ],
      "defaultVersion": "2014-05-26",
      "categoryName": "云服务器",
      "category2Name": "计算"
    }
  ],
  "requestId": "9BFC4AC1-6BE4-5405-BDEC-CA288D404812"
}

Error codes

See Error Codes for a complete list.

Release notes

See Release Notes for a complete list.